summaryrefslogtreecommitdiffstats
path: root/contrib/bind/port/freebsd
diff options
context:
space:
mode:
authordougb <dougb@FreeBSD.org>2003-06-17 08:25:13 +0000
committerdougb <dougb@FreeBSD.org>2003-06-17 08:25:13 +0000
commitd4a040827d377a4fc59a22c8840bc7f2b57f7977 (patch)
tree503ee9d385d13c5d41978317e728eb3c24eeaf7e /contrib/bind/port/freebsd
parenta9649bd4c0fffb1c03b6e894e8751243013a383a (diff)
parentf97237131f327c9eda67f546f7acffceef5a9fde (diff)
downloadFreeBSD-src-d4a040827d377a4fc59a22c8840bc7f2b57f7977.zip
FreeBSD-src-d4a040827d377a4fc59a22c8840bc7f2b57f7977.tar.gz
This commit was generated by cvs2svn to compensate for changes in r116464,
which included commits to RCS files with non-trunk default branches.
Diffstat (limited to 'contrib/bind/port/freebsd')
-rwxr-xr-xcontrib/bind/port/freebsd/bin/probe_ipv615
1 files changed, 14 insertions, 1 deletions
diff --git a/contrib/bind/port/freebsd/bin/probe_ipv6 b/contrib/bind/port/freebsd/bin/probe_ipv6
index ba7135d..993cabd 100755
--- a/contrib/bind/port/freebsd/bin/probe_ipv6
+++ b/contrib/bind/port/freebsd/bin/probe_ipv6
@@ -2,7 +2,7 @@
set -e
PATH=/bin:/usr/bin:$PATH; export PATH
-trap "rm -f tmp$$a.c tmp$$b.c tmp$$a.o tmp$$b.o" 0
+trap "rm -f tmp$$[abc].[oc]" 0 1 2 15
target=port_ipv6
new=new_${target}.h
old=${target}.h
@@ -19,6 +19,13 @@ cat > tmp$$b.c <<EOF
struct in6_addr xx;
EOF
+cat > tmp$$c.c <<EOF
+#include <sys/types.h>
+#include <netinet/in.h>
+struct sockaddr_in6 xx;
+main() { xx.sin6_scope_id = 0; }
+EOF
+
cat > ${new} <<EOF
/* This file is automatically generated. Do Not Edit. */
@@ -37,6 +44,12 @@ then
else
echo "#define in6_addr in_addr6" >> ${new}
fi
+ if ${CC} -c tmp$$c.c > /dev/null 2>&1
+ then
+ echo "#define HAVE_SIN6_SCOPE_ID" >> ${new}
+ else
+ echo "#undef HAVE_SIN6_SCOPE_ID" >> ${new}
+ fi
else
echo "#undef HAS_INET6_STRUCTS" >> ${new}
fi
OpenPOWER on IntegriCloud